Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 76)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 77)
@@ -1,80 +1,10 @@
 New:
 ---
-
-particle reflection from vertical walls implemented, particle SGS model adjusted to walls
-
-Wall functions for vertical walls now include diabatic conditions. New subroutines wall_fluxes, wall_fluxes_e. New 4D-array rif_wall.
-
-new d3par-parameter netcdf_64bit_3d to switch on 64bit offset only for 3D files
-
-new d3par-parameter dt_max to define the maximum value for the allowed timestep 
-
-new inipar-parameter loop_optimization to control the loop optimization method
-
-new inipar-parameter pt_refrence. If given, this value is used as the reference that in buoyancy terms (otherwise, the instantaneous horizontally averaged temperature is used).
-
-new user interface user_advec_particles
-
-new initializing action "by_user" calls user_init_3d_model and allows the initial setting of all 3d arrays
-
-topography height informations are stored on arrays zu_s_inner and zw_w_inner and output to the 2d/3d NetCDF files
-
-samples added to the user interface which show how to add user-define time series quantities.
-
-calculation/output of precipitation amount, precipitation rate and z0 (by setting "pra*", "prr*", "z0*" with data_output). The time interval on which the precipitation amount is defined is set by new d3par-parameter precipitation_amount_interval
-
-unit 9 opened for debug output (file DEBUG_<pe#>)
-
-Makefile, advec_particles, average_3d_data, buoyancy, calc_precipitation, check_open, check_parameters, data_output_2d, diffusion_e, diffusion_u, diffusion_v, diffusion_w, diffusivities, header, impact_of_latent_heat, init_particles, init_3d_model, modules, netcdf, parin, production_e, read_var_list, read_3d_binary, sum_up_3d_data, user_interface, write_var_list, write_3d_binary
-
-New: wall_fluxes
 
 
 Changed:
 -------
-General revision of non-cyclic horizontal boundary conditions: radiation boundary conditions are now used instead of Neumann conditions at the outflow (calculation needs velocity values for t-dt, which are stored on new arrays u_m_l, u_m_r, etc.), calculation of mean outflow is not needed any more, volume flow control is added for the outflow boundary (currently only for the north boundary!!), additional gridpoints along x and y (uxrp, vynp) are not needed any more, routine "boundary_conds" now operates on timelevel t+dt and is not split in two parts (main, uvw_outflow) any more, Neumann boundary conditions at inflow/outflow in case of non-cyclic boundary conditions for all 2d-arrays that are handled by exchange_horiz_2d
-
-The FFT-method for solving the Poisson-equation is now working with Neumann boundary conditions both at the bottom and the top. This requires adjustments of the tridiagonal coefficients and subtracting the horizontally averaged mean from the vertical velocity field.
-
-+age_m in particle_type
-
-Particles-package is now part of the default code ("-p particles" is not needed any more).
-
-Move call of user_actions( 'after_integration' ) below increment of times
-and counters. user_actions is now called for each statistic region and has as an argument the number of the respective region (sr)
-
-d3par-parameter data_output_ts removed. Timeseries output for "profil" removed. Timeseries are now switched on by dt_dots. Timeseries data is collected in flow_statistics.
-
-Initial velocities at nzb+1 are regarded for volume flow control in case they have been set zero before (to avoid small timesteps); see new internal parameters u/v_nzb_p1_for_vfc.
-
-q is not allowed to become negative (prognostic_equations).
-
-poisfft_init is only called if fft-solver is switched on (init_pegrid).
-
-d3par-parameter moisture renamed to humidity.
-
-Subversion global revision number is read from mrun and added to the run description header and to the run control (_rc) file.
-
-__vtk directives removed from main program.
-
-The uitility routine interpret_config reads PALM environment variables from NAMELIST instead using the system call GETENV.
-
-advec_u_pw, advec_u_up, advec_v_pw, advec_v_up, asselin_filter, check_parameters, coriolis, data_output_dvrp, data_output_ptseries, data_output_ts, data_output_2d, data_output_3d, diffusion_u, diffusion_v, exchange_horiz, exchange_horiz_2d, flow_statistics, header, init_grid, init_particles, init_pegrid, init_rankine, init_pt_anomaly, init_1d_model, init_3d_model, modules, palm, package_parin, parin, poisfft, poismg, prandtl_fluxes, pres, production_e, prognostic_equations, read_var_list, read_3d_binary, sor, swap_timelevel, time_integration, write_var_list, write_3d_binary
 
 
 Errors:
 ------
-
-Bugfix: preset of tendencies te_em, te_um, te_vm in init_1d_model
-
-Bugfix in sample for reading user defined data from restart file (user_init)
-
-Bugfix in setting diffusivities for cases with the outflow damping layer extending over more than one subdomain (init_3d_model)
-
-Check for possible negative humidities in the initial humidity profile.
-
-in Makefile, default suffixes removed from the suffix list to avoid calling of m2c in
-# case of .mod files
-
-Makefile
-check_parameters, init_1d_model, init_3d_model, user_interface
Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 76)
+++ palm/trunk/SOURCE/Makefile	(revision 77)
@@ -4,11 +4,15 @@
 # Actual revisions:
 # -----------------
+# 
+#
+# Former revisions:
+# -----------------
+# $Id$
+#
+# 58 2007-03-09 14:27:38Z raasch
 # default suffixes removed from the suffix list to avoid calling of m2c in
 # case of .mod files
 # +wall_fluxes, +particle_boundary_conds
 #
-# Former revisions:
-# -----------------
-# $Id$
 # RCS Log replace by Id keyword, revision history cleaned up
 #
Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 76)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 77)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! TEST: PRINT statements on unit 9 (commented out)
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! Particle reflection at vertical walls implemented in new subroutine
 ! particle_boundary_conds,
@@ -11,9 +18,4 @@
 ! mpich (mpiI) interface requirements,
 ! 2nd+3rd argument removed from exchange horiz
-! TEST: PRINT statements on unit 9 (commented out)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 16 2007-02-15 13:16:47Z raasch
Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 76)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Calculation extended for gridpoint nzt
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 63 2007-03-13 03:52:49Z raasch
+! Calculation extended for gridpoint nzt
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/advec_u_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_pw.f90	(revision 76)
+++ palm/trunk/SOURCE/advec_u_pw.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! uxrp eliminated
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! uxrp eliminated
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/advec_u_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_up.f90	(revision 76)
+++ palm/trunk/SOURCE/advec_u_up.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! uxrp eliminated
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! uxrp eliminated
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/advec_v_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_pw.f90	(revision 76)
+++ palm/trunk/SOURCE/advec_v_pw.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! vynp eliminated
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! vynp eliminated
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/advec_v_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_up.f90	(revision 76)
+++ palm/trunk/SOURCE/advec_v_up.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! vynp eliminated
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! vynp eliminated
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/asselin_filter.f90
===================================================================
--- palm/trunk/SOURCE/asselin_filter.f90	(revision 76)
+++ palm/trunk/SOURCE/asselin_filter.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! moisture renamed humidity
+! 
 !
 ! Former revisions:
 ! ---------------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! moisture renamed humidity
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 76)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Averaging the precipitation rate and roughness length (prr*, z0*)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 72 2007-03-19 08:20:46Z raasch
+! Averaging the precipitation rate and roughness length (prr*, z0*)
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 76)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 77)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! The "main" part sets conditions for time level t+dt instead of level t,
 ! outflow boundary conditions changed from Neumann to radiation condition,
 ! uxrp, vynp eliminated, moisture renamed humidity
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 76)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Reference temperature pt_reference can be used.
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 57 2007-03-09 12:05:41Z raasch
+! Reference temperature pt_reference can be used.
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/calc_precipitation.f90
===================================================================
--- palm/trunk/SOURCE/calc_precipitation.f90	(revision 76)
+++ palm/trunk/SOURCE/calc_precipitation.f90	(revision 77)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Precipitation rate and amount are calculated/stored,
-! + module control_parameters
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 73 2007-03-20 08:33:14Z raasch
+! Precipitation rate and amount are calculated/stored,
+! + module control_parameters
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 76)
+++ palm/trunk/SOURCE/check_open.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +netcdf_64bit_3d to switch on 64bit offset only for 3D files
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 46 2007-03-05 06:00:47Z raasch
+! +netcdf_64bit_3d to switch on 64bit offset only for 3D files
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 76)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 77)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! "by_user" allowed as initializing action, -data_output_ts,
 ! leapfrog with non-flat topography not allowed any more, loop_optimization
@@ -11,8 +18,4 @@
 ! dirichlet/neumann changed to dirichlet/radiation, etc.,
 ! revision added to run_description_header
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 20 2007-02-26 00:12:32Z raasch
Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 76)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! uxrp, vynp eliminated
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! uxrp, vynp eliminated
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 76)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 77)
@@ -4,10 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Output of precipitation amount/rate and roughness length,
-! 2nd+3rd argument removed from exchange horiz
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! Output of precipitation amount/rate and roughness length,
+! 2nd+3rd argument removed from exchange horiz
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 76)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! 2nd+3rd argument removed from exchange horiz
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! 2nd+3rd argument removed from exchange horiz
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 76)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 77)
@@ -32,6 +32,4 @@
 ! Actual revisions:
 ! -----------------
-! Particles-package is now part of the default code,
-! moisture renamed humidity
 ! TEST: write statements
 !
@@ -39,4 +37,9 @@
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! Particles-package is now part of the default code,
+! moisture renamed humidity
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 76)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Particles-package is now part of the default code.
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 60 2007-03-11 11:50:04Z raasch
+! Particles-package is now part of the default code.
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_tseries.f90	(revision 76)
+++ palm/trunk/SOURCE/data_output_tseries.f90	(revision 77)
@@ -4,10 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Collection of time series quantities moved to routine flow_statistics,
-! output for "profil" removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 48 2007-03-06 12:28:36Z raasch
+! Collection of time series quantities moved to routine flow_statistics,
+! output for "profil" removed
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 76)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 77)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Reference temperature pt_reference can be used in buoyancy term
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 65 2007-03-13 12:11:43Z raasch
+! Reference temperature pt_reference can be used in buoyancy term
 !
 ! 20 2007-02-26 00:12:32Z raasch
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 76)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 77)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Wall functions now include diabatic conditions, call of routine wall_fluxes,
-! z0 removed from argument list, uxrp eliminated
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! Wall functions now include diabatic conditions, call of routine wall_fluxes,
+! z0 removed from argument list, uxrp eliminated
 !
 ! 20 2007-02-26 00:12:32Z raasch
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 76)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 77)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Wall functions now include diabatic conditions, call of routine wall_fluxes,
-! z0 removed from argument list, vynp eliminated
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! Wall functions now include diabatic conditions, call of routine wall_fluxes,
+! z0 removed from argument list, vynp eliminated
 !
 ! 20 2007-02-26 00:12:32Z raasch
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 76)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 77)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Wall functions now include diabatic conditions, call of routine wall_fluxes,
-! z0 removed from argument list
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! Wall functions now include diabatic conditions, call of routine wall_fluxes,
+! z0 removed from argument list
 !
 ! 20 2007-02-26 00:12:32Z raasch
Index: palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- palm/trunk/SOURCE/diffusivities.f90	(revision 76)
+++ palm/trunk/SOURCE/diffusivities.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Reference temperature pt_reference can be used in buoyancy term
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 57 2007-03-09 12:05:41Z raasch
+! Reference temperature pt_reference can be used in buoyancy term
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 76)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! xrp, ynp eliminated, 2nd+3rd argument removed from exchange horiz
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! xrp, ynp eliminated, 2nd+3rd argument removed from exchange horiz
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz.f90	(revision 76)
+++ palm/trunk/SOURCE/exchange_horiz.f90	(revision 77)
@@ -4,10 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Special cases for additional gridpoints along x or y in case of non-cyclic
-! boundary conditions are not regarded any more
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! Special cases for additional gridpoints along x or y in case of non-cyclic
+! boundary conditions are not regarded any more
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 76)
+++ palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 77)
@@ -4,10 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Neumann boundary conditions at inflow/outflow in case of non-cyclic boundary
-! conditions
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 73 2007-03-20 08:33:14Z raasch
+! Neumann boundary conditions at inflow/outflow in case of non-cyclic boundary
+! conditions
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 76)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 77)
@@ -4,14 +4,17 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! Collection of time series quantities moved from routine flow_statistics to
 ! here, routine user_statistics is called for each statistic region,
 ! moisture renamed humidity
 !
-! Former revisions:
-! -----------------
-! $Id$
+! 19 2007-02-23 04:53:48Z raasch
 ! fluxes at top modified (tswst, qswst)
-!
-! 19 2007-02-23 04:53:48Z raasch
 ! 
 ! RCS Log replace by Id keyword, revision history cleaned up
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 76)
+++ palm/trunk/SOURCE/header.f90	(revision 77)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 76 2007-03-29 00:58:32Z raasch
 ! Output of netcdf_64bit_3d, particles-package is now part of the default code,
 ! output of the loop optimization method, moisture renamed humidity,
 ! output of subversion revision number
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: palm/trunk/SOURCE/impact_of_latent_heat.f90
===================================================================
--- palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 76)
+++ palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 77)
@@ -4,12 +4,15 @@
 ! Actual revisions:
 ! -----------------
-! precipitation_rate renamed dqdt_precip
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
-! Calculation extended for gridpoint nzt
+!
+! 72 2007-03-19 08:20:46Z
+! precipitation_rate renamed dqdt_precip
 !
 ! 19 2007-02-23 04:53:48Z raasch
+! Calculation extended for gridpoint nzt
 ! 
 ! RCS Log replace by Id keyword, revision history cleaned up
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 76)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 77)
@@ -4,10 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: preset of tendencies te_em, te_um, te_vm,
-! moisture renamed humidity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! Bugfix: preset of tendencies te_em, te_um, te_vm,
+! moisture renamed humidity
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 76)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 77)
@@ -7,4 +7,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! Arrays for radiation boundary conditions are allocated (u_m_l, u_m_r, etc.),
 ! bugfix for cases with the outflow damping layer extending over more than one
@@ -15,8 +22,4 @@
 ! flow control in case they have been set zero before (to avoid small timesteps)
 ! -uvmean_outflow, uxrp, vynp eliminated
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 76)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 77)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! storage of topography height arrays zu_s_inner and zw_s_inner,
-! 2nd+3rd argument removed from exchange horiz
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! storage of topography height arrays zu_s_inner and zw_s_inner,
+! 2nd+3rd argument removed from exchange horiz
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: palm/trunk/SOURCE/init_particles.f90
===================================================================
--- palm/trunk/SOURCE/init_particles.f90	(revision 76)
+++ palm/trunk/SOURCE/init_particles.f90	(revision 77)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! displacements for mpi_particle_type changed, age_m initialized,
-! particles-package is now part of the default code
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 70 2007-03-18 23:46:30Z raasch
+! displacements for mpi_particle_type changed, age_m initialized,
+! particles-package is now part of the default code
 !
 ! 16 2007-02-15 13:16:47Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 76)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 77)
@@ -4,11 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! uxrp, vynp eliminated,
 ! dirichlet/neumann changed to dirichlet/radiation, etc.,
 ! poisfft_init is only called if fft-solver is switched on
 !
-! Former revisions:
-! -----------------
-! $Id$
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 76)
+++ palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 77)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! 2nd+3rd argument removed from exchange horiz
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! 2nd+3rd argument removed from exchange horiz
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- palm/trunk/SOURCE/init_rankine.f90	(revision 76)
+++ palm/trunk/SOURCE/init_rankine.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! uxrp, vynp eliminated, 2nd+3rd argument removed from exchange horiz
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! uxrp, vynp eliminated, 2nd+3rd argument removed from exchange horiz
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 76)
+++ palm/trunk/SOURCE/modules.f90	(revision 77)
@@ -5,4 +5,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! +arrays precipitation_amount, precipitation_rate, precipitation_rate_av,
 ! rif_wall, z0_av, +arrays u_m_l, u_m_r, etc. for radiation boundary conditions,
@@ -14,8 +21,4 @@
 ! arrays dots_label and dots_unit now dimensioned with dots_max,
 ! setting of palm version moved to main program
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 37 2007-03-01 08:33:54Z raasch
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 76)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 77)
@@ -7,10 +7,14 @@
 ! Current revisions:
 ! ------------------
-! Output topography height information (zu_s_inner, zw_s_inner) to 2d-xy and 3d
-! datasets
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 48 2007-03-06 12:28:36Z raasch
+! Output topography height information (zu_s_inner, zw_s_inner) to 2d-xy and 3d
+! datasets
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 76)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Particles-paclage is now part of the default code
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 60 2007-03-11 11:50:04Z raasch
+! Particles-paclage is now part of the default code
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 76)
+++ palm/trunk/SOURCE/palm.f90	(revision 77)
@@ -4,11 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! __vtk directives removed, write_particles is called only in case of particle
 ! advection switched on, open unit 9 for debug output,
 ! setting of palm version moved from modules to here
 !
-! Former revisions:
-! -----------------
-! $Id$
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 76)
+++ palm/trunk/SOURCE/parin.f90	(revision 77)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! +dt_max, netcdf_64bit_3d, precipitation_amount_interval in d3par,
 ! +loop_optimization, pt_reference in inipar, -data_output_ts,
 ! moisture renamed humidity
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 20 2007-02-26 00:12:32Z raasch
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 76)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 77)
@@ -4,10 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Tridiagonal coefficients adjusted for Neumann boundary conditions both at
-! the bottom and the top.
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 76 2007-03-29 00:58:32Z raasch
+! Tridiagonal coefficients adjusted for Neumann boundary conditions both at
+! the bottom and the top.
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/poismg.f90
===================================================================
--- palm/trunk/SOURCE/poismg.f90	(revision 76)
+++ palm/trunk/SOURCE/poismg.f90	(revision 77)
@@ -8,9 +8,13 @@
 ! Actual revisions:
 ! -----------------
-! 2nd+3rd argument removed from exchange horiz
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! 2nd+3rd argument removed from exchange horiz
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 76)
+++ palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! moisture renamed humidity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! moisture renamed humidity
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 76)
+++ palm/trunk/SOURCE/pres.f90	(revision 77)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! Volume flow control for non-cyclic boundary conditions added (currently only
 ! for the north boundary!!), 2nd+3rd argument removed from exchange horiz,
@@ -9,7 +16,4 @@
 ! both at the bottom and the top
 !
-! Former revisions:
-! -----------------
-! $Id$
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
@@ -120,6 +124,6 @@
              w_l(k) = w_l(k) / ngp_2dh_outer(k,0)
           ENDDO
-          DO  i = nxl, nxr
-             DO  j = nys, nyn
+          DO  i = nxl-1, nxr+1
+             DO  j = nys-1, nyn+1
                 DO  k = nzb_w_inner(j,i)+1, nzt
                    w(k,j,i) = w(k,j,i) - w_l(k)
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 76)
+++ palm/trunk/SOURCE/production_e.f90	(revision 77)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! Wall functions now include diabatic conditions, call of routine wall_fluxes_e,
 ! reference temperature pt_reference can be used in buoyancy term,
 ! moisture renamed humidity
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 37 2007-03-01 08:33:54Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 76)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 77)
@@ -4,12 +4,16 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! checking for negative q and limiting for positive values,
 ! z0 removed from arguments in calls of diffusion_u/v/w, uxrp, vynp eliminated,
 ! subroutine names changed to .._noopt, .._cache, and .._vector,
-! moisture renamed humidity
-!
-! Former revisions:
-! -----------------
-! $Id$
+! moisture renamed humidity, Bott-Chlond-scheme can be used in the
+! _vector-version
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 76)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 77)
@@ -4,13 +4,16 @@
 ! Actual revisions:
 ! -----------------
-! +precipitation_amount, precipitation_rate_av, rif_wall, u_m_l, u_m_r, etc.,
-! z0_av
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 73 2007-03-20 08:33:14Z raasch
+! +precipitation_amount, precipitation_rate_av, rif_wall, u_m_l, u_m_r, etc.,
+! z0_av
+!
+! 19 2007-02-23 04:53:48Z raasch
 ! +qswst, qswst_m, tswst, tswst_m
-!
-! 19 2007-02-23 04:53:48Z raasch
 ! 
 ! RCS Log replace by Id keyword, revision history cleaned up
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 76)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 77)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +loop_optimization, pt_reference, moisture renamed humidity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! +loop_optimization, pt_reference, moisture renamed humidity
 !
 ! 20 2007-02-26 00:12:32Z raasch
Index: palm/trunk/SOURCE/sor.f90
===================================================================
--- palm/trunk/SOURCE/sor.f90	(revision 76)
+++ palm/trunk/SOURCE/sor.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! 2nd+3rd argument removed from exchange horiz
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! 2nd+3rd argument removed from exchange horiz
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 76)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 77)
@@ -4,9 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +sum-up of precipitation rate and roughness length (prr*, z0*)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 72 2007-03-19 08:20:46Z raasch
+! +sum-up of precipitation rate and roughness length (prr*, z0*)
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 76)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 77)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! moisture renamed humidity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! moisture renamed humidity
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 76)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 77)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
 ! Move call of user_actions( 'after_integration' ) below increment of times
 ! and counters,
@@ -11,7 +18,4 @@
 ! moisture renamed humidity
 !
-! Former revisions:
-! -----------------
-! $Id$
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/user_interface.f90
===================================================================
--- palm/trunk/SOURCE/user_interface.f90	(revision 76)
+++ palm/trunk/SOURCE/user_interface.f90	(revision 77)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 60 2007-03-11 11:50:04Z raasch
 ! New routine user_init_3d_model which allows the initial setting of all 3d
 ! arrays under control of the user, new routine user_advec_particles,
@@ -10,7 +17,4 @@
 ! Bugfix in sample for reading user defined data from restart file (user_init)
 !
-! Former revisions:
-! -----------------
-! $Id$
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 76)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 77)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +precipitation_amount, precipitation_rate_av, rif_wall, u_m_l, u_m_r, etc.,
-! z0_av, moisture renamed humidity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! +precipitation_amount, precipitation_rate_av, rif_wall, u_m_l, u_m_r, etc.,
+! z0_av, moisture renamed humidity
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 76)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 77)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +loop_optimization, pt_refrence, moisture renamed humidity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 75 2007-03-22 09:54:05Z raasch
+! +loop_optimization, pt_refrence, moisture renamed humidity
 !
 ! 20 2007-02-26 00:12:32Z raasch
